curl -X GET "https://api.memanto.ai/agents/my-agent/files" \
-H "x-api-key: $MEMANTO_API_KEY"
{
"agent_id": "my-agent",
"files": [
{
"file_id": "file_…",
"agent_id": "my-agent",
"job_id": "job_…",
"file_name": "handbook.pdf",
"content_type": "application/pdf",
"size_bytes": 482133,
"status": "complete",
"chunk_count": 37,
"processed_count": 37,
"memory_count": 37,
"md5_hash": "…",
"tags": [],
"storage_key": "…",
"ingested_at": "2026-11-19T15:06:10.000Z",
"created_at": "2026-11-19T15:04:05.000Z",
"updated_at": "2026-11-19T15:06:10.000Z",
"error": null
}
],
"count": 1
}
Files
List Files
List an agent’s uploaded files, newest first.
GET
/
agents
/
{agent_id}
/
files
curl -X GET "https://api.memanto.ai/agents/my-agent/files" \
-H "x-api-key: $MEMANTO_API_KEY"
{
"agent_id": "my-agent",
"files": [
{
"file_id": "file_…",
"agent_id": "my-agent",
"job_id": "job_…",
"file_name": "handbook.pdf",
"content_type": "application/pdf",
"size_bytes": 482133,
"status": "complete",
"chunk_count": 37,
"processed_count": 37,
"memory_count": 37,
"md5_hash": "…",
"tags": [],
"storage_key": "…",
"ingested_at": "2026-11-19T15:06:10.000Z",
"created_at": "2026-11-19T15:04:05.000Z",
"updated_at": "2026-11-19T15:06:10.000Z",
"error": null
}
],
"count": 1
}
Overview
Lists the agent’s files, newest first.status is one of queued, uploading, chunking, deleting, complete or failed.
Authentication
Your Memanto Cloud API key (
mk_...). See Authentication.Path Parameters
curl -X GET "https://api.memanto.ai/agents/my-agent/files" \
-H "x-api-key: $MEMANTO_API_KEY"
{
"agent_id": "my-agent",
"files": [
{
"file_id": "file_…",
"agent_id": "my-agent",
"job_id": "job_…",
"file_name": "handbook.pdf",
"content_type": "application/pdf",
"size_bytes": 482133,
"status": "complete",
"chunk_count": 37,
"processed_count": 37,
"memory_count": 37,
"md5_hash": "…",
"tags": [],
"storage_key": "…",
"ingested_at": "2026-11-19T15:06:10.000Z",
"created_at": "2026-11-19T15:04:05.000Z",
"updated_at": "2026-11-19T15:06:10.000Z",
"error": null
}
],
"count": 1
}